Bug 823400 - krb ticket timeout on beaker-watchdog
krb ticket timeout on beaker-watchdog
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.1
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 03:25 EDT by Raymond Mancy
Modified: 2014-12-07 20:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:39:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-05-21 03:25:54 EDT
Description of problem:

When running qpid and krb on the watchdogs the tickets will eventually timeout and stop the watchdog from working correctly


Version-Release number of selected component (if applicable):

0.9


This is a very silly bug, in bkr.common.message_bus, this:

  if self.krb_auth:
      connection_params[1].update({'sasl_mechanisms' : 'GSSAPI'})
      self.do_krb_auth()
      # krb auths have a set lifespan, ensure we stay authenticated
      RepeatTimer(self._auth_interval,self.do_krb_auth, stop_on_exception=False)

Should be:

  if self.krb_auth:
      connection_params[1].update({'sasl_mechanisms' : 'GSSAPI'})
      self.do_krb_auth()
      # krb auths have a set lifespan, ensure we stay authenticated
      t = RepeatTimer(self._auth_interval,self.do_krb_auth,
stop_on_exception=False)
      t.daemon = False
      t.start()
Comment 1 Raymond Mancy 2012-06-15 00:23:51 EDT
http://gerrit.beaker-project.org/#/c/1139/
Comment 4 Dan Callaghan 2012-07-19 20:39:03 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.